# $Revision: 1.23 $, $Date: 2008/07/14 16:15:00 $
Summary:	Script to start and stop PHP FastCGI processes
Summary(pl.UTF-8):	Skrypt do uruchamiania i zatrzymywania procesów FastCGI PHP
Name:		php-fcgi-init
Version:	0.6
Release:	1
License:	BSD-like
Group:		Networking/Daemons
Source0:	php-fcgi.init
Source1:	php-fcgi.sysconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	php-fcgi
Requires:	rc-scripts
Requires:	spawn-fcgi >= 1.4.19-9
Provides:	user(http)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Script to start and stop PHP FastCGI processes.

%description -l pl.UTF-8
Skrypt do uruchamiania i zatrzymywania procesów FastCGI PHP

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

install %{SOURCE0} $RPM_BUILD_ROOT/etc/rc.d/init.d/php-fcgi
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/php-fcgi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 51 -r -s /bin/false -c "HTTP User" -g http http

%post
/sbin/chkconfig --add php-fcgi
# there's no point of restarting php-fcgi as this package contains only scripts

%preun
if [ "$1" = "0" ]; then
	%service php-fcgi stop
	/sbin/chkconfig --del php-fcgi
fi

%postun
if [ "$1" = "0" ]; then
	%userremove http
fi

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/php-fcgi
%config(noreplace) %verify(not md5 mtime size) %attr(600,root,root) /etc/sysconfig/php-fcgi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-fcgi-init.spec,v $
Revision 1.23  2008/07/14 16:15:00  glen
- version 0.6: spawn-fcgi errors are displayed on startup

Revision 1.22  2007/12/25 23:18:49  glen
- rel 4

Revision 1.21  2007-11-19 07:28:06  glen
- rel 3

Revision 1.20  2007-11-14 23:58:30  glen
- make initscript respect umask again; rel 2

Revision 1.19  2007-11-09 11:50:03  glen
- version 0.5:
  no sleeping between restart (assume fcgi-graceful patch applied or pure luck)

Revision 1.18  2007/10/03 09:29:23  glen
- version 0.4: display environment settings in "status" action

Revision 1.17  2007/09/14 13:11:47  glen
- no need to restart on upgrade; rel 3

Revision 1.16  2007/09/14 12:22:28  glen
- LC_ALL=C when doing egrep; rel 2

Revision 1.15  2007/09/14 12:09:13  glen
- version 0.3

Revision 1.14  2007/09/14 12:08:58  glen
- real reload is not implemented: do restart
- validate ip SPAWN_ADDR and SPAWN_PORT properly
- validate FCGI_WEB_SERVER_ADDRS

Revision 1.13  2007/05/30 13:28:01  glen
- rel 2: fixed "permission denied" error on restart caused by $TMPDIR side effect

Revision 1.12  2007/02/20 09:44:13  glen
- version 0.2

Revision 1.11  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.9  2006/12/14 08:13:09  glen
- improved initscript; rel 4

Revision 1.8  2006/09/07 00:59:10  glen
- rel 3

Revision 1.7  2006/07/19 22:48:36  glen
- provide http user as lighttpd provides only group

Revision 1.6  2006/03/14 16:44:18  glen
- use %service
- updated init script and config

Revision 1.5  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.4  2004/10/31 22:22:37  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/09/08 20:17:11  qboosh
- pl, cosmetics

Revision 1.2  2004/09/07 06:24:05  aredridel
- added noreplace

Revision 1.1  2004/09/07 06:22:38  aredridel
- added
